# $Revision: 1.11 $, $Date: 2002/05/17 09:42:52 $
%define		mod_name	video
%define 	apxs		/usr/sbin/apxs
Summary:	Shows images grabbed from a v4l device
Summary(pl):	Wywietla obrazy zrzucone z urzdzenia v4l
Name:		apache-mod_%{mod_name}
Version:	0.1.0
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://borud.no/mod_video/download/mod_%{mod_name}-%{version}.tar.gz
Patch0:		%{name}-webcam.patch
URL:		http://modvideo.sourceforge.net/
BuildRequires:	zlib-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	%{apxs}
Prereq:		%{_sbindir}/apxs
Requires:	apache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This package contains an Apache module for serving snapshots from the
video4linux API.

%description -l pl
Pakiet ten zawiera modu do Apache umoliwiajacey serwowanie zdj
bezporednio generowanych z kamer obsugiwanych poprzez video4linux
API.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lpng -ljpeg

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_video.spec,v $
Revision 1.11  2002/05/17 09:42:52  kloczek
- cosmetics.

Revision 1.10  2002/04/25 15:47:00  arturs
fixed a small typo

Revision 1.9  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/17 21:12:58  ankry
- release 3

Revision 1.6  2002/02/17 18:52:20  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.5  2002/01/18 02:12:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/22 17:56:23  kloczek
- release 2.

Revision 1.3  2001/10/13 12:51:24  qboosh
- typos

Revision 1.2  2001/08/18 21:51:27  kloczek
- added %description.

Revision 1.1  2001/08/18 17:32:52  zagrodzki
- initial release
